geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jacques Le Roux (JIRA)" <j...@apache.org>
Subject [jira] Commented: (GERONIMO-3947) Apache OFBiz deploys and runs under WASCE 2 but not under Geronimo 2.0.1 (nor 2.1)
Date Tue, 01 Apr 2008 13:58:26 GMT

    [ https://issues.apache.org/jira/browse/GERONIMO-3947?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12584144#action_12584144
] 

Jacques Le Roux commented on GERONIMO-3947:
-------------------------------------------

Thanks for your help Donald,

Have you tried deploying on Geronimo 2.0.2 or the latest 2.0.3-SNAPSHOT or 2.1.1-SNAPSHOT?
    No, only 2.0.1 and 2.1 for now
Which WASCE level are you using?
   I'm not sure of what level means here, I'm using WASCE 2.0.0.1
WASCE 2.0.0.0 is almost the same as Geronimo 2.0.1, but with some additional JIRA patches
pulled in.
WASCE 2.0.0.1 is almost the same as 2.0.2, but with some additional JIRA patches pulled in.
   Yes I saw here http://publib.boulder.ibm.com/wasce/changes/2001/CHANGES.txt
Geronimo 2.0.3-SNAPSHOT includes all of the patches included in WASCE, except for any updates
to ActiveMQ and OpenEJB.
   I don't use ActiveMQ, nor OpenEJB for the moment. So I should rather test with 2.0.3 version.
I will and will let you know.

> Apache OFBiz deploys and runs under WASCE 2 but not under Geronimo 2.0.1 (nor 2.1)
> ----------------------------------------------------------------------------------
>
>                 Key: GERONIMO-3947
>                 URL: https://issues.apache.org/jira/browse/GERONIMO-3947
>             Project: Geronimo
>          Issue Type: Bug
>      Security Level: public(Regular issues) 
>          Components: deployment
>    Affects Versions: 2.0.1
>         Environment: XP SP2, Java Sun sdk 1.5_011
>            Reporter: Jacques Le Roux
>
> With deployer tool, I get this error
>     Module was not a war: framework/webtools/webapp/webtools/
> With this WAR (deployed, not in a jar file) through its plan from console, I get this
error
>     Cannot deploy the requested application module because no deployer is able to handle
it.  
>     This can happen if you have omitted the J2EE deployment descriptor, disabled a deployer
module, or if, 
>    for example, you are trying to deploy an EJB module on a minimal Geronimo server that
does not have EJB support installed.  
>    (planFile=C:\Program Files\Apache Software Foundation\geronimo-tomcat6-jee5-2.0.1\var\temp\geronimo-web.xml)
> There is a web.xml used in OFBiz without problems (OFBiz runs with Tomcat embedded) 
> The C:\Program Files\Apache Software Foundation\geronimo-tomcat6-jee5-2.0.1\var\temp\geronimo-web.xml
deployment plan is
> <web-app xmlns="http://geronimo.apache.org/xml/ns/j2ee/web-2.0"
>     xmlns:dep="http://geronimo.apache.org/xml/ns/deployment-1.2"
>     xmlns:naming="http://geronimo.apache.org/xml/ns/naming-1.2"
>     xmlns:security="http://geronimo.apache.org/xml/ns/security-1.2">
>     <dep:environment>
>         <dep:moduleId>
>             <dep:groupId>org.ofbiz.webtools</dep:groupId>
>             <dep:artifactId>webtools</dep:artifactId>
>             <dep:version>1.0</dep:version>
>             <dep:type>war</dep:type>
>         </dep:moduleId>
>         <dep:dependencies/>
>         <dep:hidden-classes/>
>         <dep:non-overridable-classes/>
>     </dep:environment>
>     <context-root>/webtools</context-root>
> </web-app>
> Am I missing something ? I thought that, since I got any problems with WASCE 2, it should
work also in Geronimo.
> If you need more information, there is a guidelines at http://docs.ofbiz.org/x/Ah
> Thanks

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message